Skip to main content
`Ctrl`+`K`

# TSMonitorHGSwarmSolution

Graphically displays histograms of `DMSWARM` particles

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSMonitorHGSwarmSolution(TS ts, PetscInt step, PetscReal ptime, Vec u, PetscCtx dctx)

## Input Parameters

- ts - the `TS` context

- step - current time-step

- ptime - current time

- u - current solution

- dctx - the `TSMonitorSPCtx` object that contains all the options for the monitoring, this is created with `TSMonitorHGCtxCreate()`

## Options Database Keys

- -ts_monitor_hg_swarm n - Monitor the solution every n steps, or -1 for plotting only the final solution

- -ts_monitor_hg_swarm_species num - Number of species to histogram

- -ts_monitor_hg_swarm_bins num - Number of histogram bins

- -ts_monitor_hg_swarm_velocity (true|false) - Plot in velocity space, as opposed to coordinate space

## Note

This is not called directly by users, rather one calls `TSMonitorSet()`, with this function as an argument, to cause the monitor to be used during the `TS` integration.

## See Also

`TSMonitorSet()`

## Level

intermediate

## Location

src/ts/interface/tsmon.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages